Last modified: 2014-02-13 22:09:26 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 52610 - action=opensearch converts "Project:About", but not "Wikipedia:About"
action=opensearch converts "Project:About", but not "Wikipedia:About"
Status: RESOLVED WONTFIX
Product: Wikimedia
Classification: Unclassified
lucene-search-2 (Other open bugs)
wmf-deployment
All All
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-07 11:52 UTC by Kunal Mehta (Legoktm)
Modified: 2014-02-13 22:09 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Kunal Mehta (Legoktm) 2013-08-07 11:52:05 UTC
$ curl "http://en.wikipedia.org/w/api.php?format=json&action=opensearch&search=Template:Wikipedia:About&suggest="
["Template:Wikipedia:About",[]]

$ curl "http://en.wikipedia.org/w/api.php?format=json&action=opensearch&search=Template:Project:About&suggest="
["Template:Project:About",["Wikipedia:About","Wikipedia:ABOUTSELF","Wikipedia:About Fair Use","Wikipedia:About the Sandbox","Wikipedia:About essay searching","Wikipedia:ABOUTEVERYTHING","Wikipedia:About DramaQueenipedia","Wikipedia:About translating German Wikipedia","Wikipedia:About page view statistics","Wikipedia:About template mania"]]

Project:About returns seemingly correct results, but Wikipedia:About does not.

It's a bit weird that it manages to convert Project even though it's not the namespace (Template is), but misses the correct results.
Comment 1 Umherirrender 2013-08-10 20:42:28 UTC
Other namespace problems with opensearch: bug 22773, bug 40210
Comment 2 Chad H. 2013-10-29 07:57:41 UTC
Is this actually a bug with lsearchd or is it a more general problem with the opensearch implementation?

(To test, try using opensearch on a wiki with the new Cirrus search, such as mw.org or enwikisource)

If it's a bug with lsearchd only I'm inclined to WONTFIX as we're hitting the end of life for that. If Cirrus has the problem too then we'll need to fix it wherever the problem is.
Comment 3 Matthew Flaschen 2014-01-06 23:57:46 UTC
Apparently, lsearchd.  The reported symptoms are still reproducible (on English Wikipedia).  However, English Wikisource seems fine:

$ curl "http://en.wikisource.org/w/api.php?format=json&action=opensearch&search=Template:Wikisource:About&suggest="
["Template:Wikisource:About",[]]%                                                 

$ curl "http://en.wikisource.org/w/api.php?format=json&action=opensearch&search=Template:Project:About&suggest="
["Template:Project:About",[]]%          

If it had the same problem, I would expect it to suggest Wikisource:About (which does exist), as it suggested Wikipedia:About.
Comment 4 Chad H. 2014-02-13 22:09:26 UTC
Marking WONTFIX then, as lsearchd has been end of lifed and this seems fixed by Cirrus.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links